package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwPlan;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwPlanExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformQwPlanMapper {
    long countByExample(ContentPlatformQwPlanExample example);

    int deleteByExample(ContentPlatformQwPlanExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformQwPlan record);

    int insertSelective(ContentPlatformQwPlan record);

    List<ContentPlatformQwPlan> selectByExample(ContentPlatformQwPlanExample example);

    ContentPlatformQwPlan selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformQwPlan record, @Param("example") ContentPlatformQwPlanExample example);

    int updateByExample(@Param("record") ContentPlatformQwPlan record, @Param("example") ContentPlatformQwPlanExample example);

    int updateByPrimaryKeySelective(ContentPlatformQwPlan record);

    int updateByPrimaryKey(ContentPlatformQwPlan record);
}